Index: COPYING
===================================================================
--- COPYING	(revision 6844)
+++ COPYING	(working copy)
@@ -1,37 +1,44 @@
                              FLTK License
-                         Ammended May 4, 2001
+                           August 28, 2009
 
-The following ammendments to the GNU Library General Public
-License apply for the FLTK library:
+The FLTK library and included programs are provided under the terms
+of the GNU Library General Public License (LGPL) with the following
+exceptions:
 
     1. Modifications to the FLTK configure script, config
        header file, and makefiles by themselves to support
        a specific platform do not constitute a modified or
-       derived work.
+       derivative work.
 
        The authors do request that such modifications be
        contributed to the FLTK project - send all
        contributions to "fltk-bugs@fltk.org".
 
     2. Widgets that are subclassed from FLTK widgets do not
-       constitute a derived work.
+       constitute a derivative work.
 
     3. Static linking of applications and widgets to the
-       FLTK library does not constitute a derived work
+       FLTK library does not constitute a derivative work
        and does not require the author to provide source
        code for the application or widget, use the shared
        FLTK libraries, or link their applications or
-       widgets against a user version of FLTK.
+       widgets against a user-supplied version of FLTK.
 
-       If the author links the application or widget to a
-       modified version of FLTK, then the changes to FLTK
-       must be provided under the terms in sections 1, 2,
-       and 4.
+       If you link the application or widget to a modified
+       version of FLTK, then the changes to FLTK must be
+       provided under the terms of the LGPL in sections
+       1, 2, and 4.
 
-    4. Authors that develop applications and widgets that
-       use FLTK must include the following statement in
-       their user documentation:
+    4. You do not have to provide a copy of the FLTK license
+       with programs that are linked to the FLTK library, nor
+       do you have to identify the FLTK license in your
+       program or documentation as required by section 6
+       of the LGPL.
 
+       However, programs must still identify their use of FLTK.
+       The following example statement can be included in user
+       documentation to satisfy this requirement:
+
            [program/widget] is based in part on the work of
            the FLTK project (http://www.fltk.org).
 
Index: documentation/license.html
===================================================================
--- documentation/license.html	(revision 6844)
+++ documentation/license.html	(working copy)
@@ -3,65 +3,87 @@
 
 <h1>Software License</h1>
 
-<h2 align=center><a name=lfltk2>FLTK Library Licence, Version 2</a></h2>
+<h2 align=center><a name=lfltk2>FLTK Library License, Version 2a</a></h2>
 
-<p align = center>This license text is &copy; 2004 Bill Spitzak and
+<p align = center>This license text is &copy; 2009 Bill Spitzak and
 the FLTK development team. 
 
 <br>You are permitted to copy and distribute verbatim copies of
-this licence document, or to distribute copies with the "EXCEPTION
+this license document, or to distribute copies with the "EXCEPTION
 NOTICE" section deleted, but all other changes are not allowed.</p>
 
 <p><b>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</b>
   
 <p>This library is free software; you can redistribute it and/or modify it
-under the terms of the GNU Library General Public Licence as published by
-the Free Software Foundation; either version 2 of the Licence, or (at
+under the terms of the GNU Library General Public License as published by
+the Free Software Foundation; either version 2 of the License, or (at
 your option) any later version.
   
 <p>This library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library
-General Public Licence for more details.
+General Public License for more details.
 
-<p>You should have received a copy of the GNU Library General Public Licence
+<p>You should have received a copy of the GNU Library General Public License
 along with this software, usually in a file named COPYING.LIB.  If not,
 write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 Boston, MA 02111-1307 USA.
 
 <h2 align=center><a name=lexception>EXCEPTION NOTICE</a></h2>
 
-<p>The copyright holders of this library give permission for
-  additional uses of the text beyond the permissions granted in the
-  GNU Library General Public License:</p>
+<P>The FLTK library and included programs are provided under the terms
+of the GNU Library General Public License (LGPL) with the following
+exceptions:</P>
 
-<p><b>1.</b> You may distribute under any terms of your choice, any
-  works based on the library, provided that the creation of this work
-  does not require the modification of any of the source or header
-  files of the library. <i>This means you can distribute
-  a closed-source program statically linked with FLTK provided you
-  don't change FLTK itself.</i>
+<OL>
 
-<p>Modifications to any of the source or header files of this library
-  do not fall under this exception. However you may distribute the
-  modified library under the normal terms of this license
-  (i.e. including source and with this license), and then distribute a
-  work using the modified library under terms of your choice by means
-  of this exception.</p>
+	<LI>Modifications to the FLTK configure script, config
+	header file, and makefiles by themselves to support
+	a specific platform do not constitute a modified or
+	derivative work.<BR>
+	<BR>
+	The authors do request that such modifications be
+	contributed to the FLTK project - send all
+	contributions to "fltk-bugs@fltk.org".<BR>
+	<BR>
+	</LI>
 
-<p><b>2.</b> Modifications of the configure scripts, makefiles,
-  configure output files, or installation tools to support a specific
-  platform or compiler do not constitute creating a modified or
-  derived work, and do not have to be released (this is a second
-  exception unrelated to number 1 above).</p>
+	<LI>Widgets that are subclassed from FLTK widgets do not
+	constitute a derivative work.<BR>
+	<BR>
+	</LI>
 
-<p><b>3.</b> If you write modifications of your own for this library,
-  it is your choice whether to permit these exceptions to apply to your
-  modifications.  If you do not wish that, you must delete this
-  exception notice from the license, and clearly state with your code
-  that the exception has been deleted so that nobody can assumme it
-  still applies.</p>
+	<LI>Static linking of applications and widgets to the
+	FLTK library does not constitute a derivative work
+	and does not require the author to provide source
+	code for the application or widget, use the shared
+	FLTK libraries, or link their applications or
+	widgets against a user-supplied version of FLTK.<BR>
+	<BR>
+	If you link the application or widget to a modified
+	version of FLTK, then the changes to FLTK must be
+	provided under the terms of the LGPL in sections
+	1, 2, and 4.<BR>
+	<BR>
+	</LI>
 
+	<LI>You do not have to provide a copy of the FLTK license
+	with programs that are linked to the FLTK library, nor
+	do you have to identify the FLTK license in your
+	program or documentation as required by section 6
+	of the LGPL.<BR>
+	<BR>
+	However, programs must still identify their use of FLTK.
+	The following example statement can be included in user
+	documentation to satisfy this requirement:<BR>
+	<BR>
+	<I>[program/widget] is based in part on the work of
+	the FLTK project (http://www.fltk.org).</I></LI>
+
+</OL>
+
+<HR>
+
 <h2 align=center><a name=lgpl>GNU Library General Public License (LGPL)</a></h2>
 
 <P ALIGN=CENTER>Version 2, June 1991
